EDIT - feature request #9984

Show area in common name label in facts view
03/17/2022 09:06 AM - Andreas Miiller

Status: Closed Start date: 03/17/2022
Priority: Highest Due date: 03/18/2022
Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 1:00 hour
Target version: Release 5.31

Severity: normal

Description

In the Mexico Eflora we have lots of common names that differ only by area (but not in name and language). To better distinguish
these we should show the area in the common name label in the facts view like "Name (Language, Area)"

Associated revisions

Revision eedb760b - 03/21/2022 02:07 PM - Katja Luther

ref #9984: add arealabel to common name label

Revision ¢562c82f - 03/21/2022 02:10 PM - Katja Luther

ref #9984: add arealabel to common name label - continue

History

#1 - 03/17/2022 09:10 AM - Andreas Miiller

Example: Piper auritum Kunth. , common name "u6 (Mixe)" in Mexico Eflora.

#2 - 03/17/2022 09:12 AM - Katja Luther
- Due date set to 03/22/2022
- Start date set to 03/21/2022
- Estimated time set to 1:00 h

#3 - 03/17/2022 10:38 AM - Katja Luther
- Due date changed from 03/22/2022 to 03/18/2022
- Start date changed from 03/21/2022 to 03/17/2022

We should discuss how to format this and whether it should be configurable.
The first implementation looks like this:

If everything is available: Name (Language, Area)

if only the language is available: Name (Language, No area provided)

if only the area is provided: Name (No language provided, area)
if only the name is provided it would look like this : Name(No language provided, No area provided)

#4 - 03/17/2022 01:52 PM - Andreas Miiller

- Status changed from New to In Progress

Katja Luther wrote in #note-3:

We should discuss how to format this and whether it should be configurable.
The first implementation looks like this:

If everything is available: Name (Language, Area)

if only the language is available: Name (Language, No area provided)

if only the area is provided: Name (No language provided, area)
if only the name is provided it would look like this : Name(No language provided, No area provided)
Personally | don't think we need the "No xxx provided" parts. | prefer labels as simple as possible. If someone wonders why the language and/or area
information is missing he/she can go to the details view and will find the explation.

#5 - 03/17/2022 01:52 PM - Andreas Miiller
- % Done changed from 0 to 30

#6 - 03/21/2022 02:10 PM - Katja Luther
- Status changed from In Progress to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 30 to 70

this is implemented now, please review.

#7 - 03/23/2022 08:49 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 70 to 100

Works as expected.
